Package org.apache.velocity.runtime.parser.node

# Interface StandardParserTreeConstants

All Known Implementing Classes:
  `StandardParser`

public interface StandardParserTreeConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`JJTADDNODE`
`static final int`
`JJTANDNODE`
`static final int`
`JJTASSIGNMENT`
`static final int`
`JJTBLOCK`
`static final int`
`JJTCOMMENT`
`static final int`
`JJTDIRECTIVE`
`static final int`
`JJTDIRECTIVEASSIGN`
`static final int`
`JJTDIVNODE`
`static final int`
`JJTELSEIFSTATEMENT`
`static final int`
`JJTELSESTATEMENT`
`static final int`
`JJTEQNODE`
`static final int`
`JJTESCAPE`
`static final int`
`JJTESCAPEDDIRECTIVE`
`static final int`
`JJTEXPRESSION`
`static final int`
`JJTFALSE`
`static final int`
`JJTFLOATINGPOINTLITERAL`
`static final int`
`JJTGENODE`
`static final int`
`JJTGTNODE`
`static final int`
`JJTIDENTIFIER`
`static final int`
`JJTIFSTATEMENT`
`static final int`
`JJTINDEX`
`static final int`
`JJTINTEGERLITERAL`
`static final int`
`JJTINTEGERRANGE`
`static final int`
`JJTLENODE`
`static final int`
`JJTLTNODE`
`static final int`
`JJTMAP`
`static final int`
`JJTMETHOD`
`static final int`
`JJTMODNODE`
`static final int`
`JJTMULNODE`
`static final int`
`JJTNEGATENODE`
`static final int`
`JJTNENODE`
`static final String[]`
`jjtNodeName`
`static final int`
`JJTNOTNODE`
`static final int`
`JJTOBJECTARRAY`
`static final int`
`JJTORNODE`
`static final int`
`JJTPROCESS`
`static final int`
`JJTREFERENCE`
`static final int`
`JJTSETDIRECTIVE`
`static final int`
`JJTSTRINGLITERAL`
`static final int`
`JJTSUBTRACTNODE`
`static final int`
`JJTTEXT`
`static final int`
`JJTTEXTBLOCK`
`static final int`
`JJTTRUE`
`static final int`
`JJTVOID`
`static final int`
`JJTWORD`

## Field Details

### JJTPROCESS

static final int JJTPROCESS

See Also:
  - Constant Field Values

### JJTVOID

static final int JJTVOID

See Also:
  - Constant Field Values

### JJTTEXT

static final int JJTTEXT

See Also:
  - Constant Field Values

### JJTESCAPEDDIRECTIVE

static final int JJTESCAPEDDIRECTIVE

See Also:
  - Constant Field Values

### JJTESCAPE

static final int JJTESCAPE

See Also:
  - Constant Field Values

### JJTCOMMENT

static final int JJTCOMMENT

See Also:
  - Constant Field Values

### JJTTEXTBLOCK

static final int JJTTEXTBLOCK

See Also:
  - Constant Field Values

### JJTFLOATINGPOINTLITERAL

static final int JJTFLOATINGPOINTLITERAL

See Also:
  - Constant Field Values

### JJTINTEGERLITERAL

static final int JJTINTEGERLITERAL

See Also:
  - Constant Field Values

### JJTSTRINGLITERAL

static final int JJTSTRINGLITERAL

See Also:
  - Constant Field Values

### JJTIDENTIFIER

static final int JJTIDENTIFIER

See Also:
  - Constant Field Values

### JJTWORD

static final int JJTWORD

See Also:
  - Constant Field Values

### JJTDIRECTIVEASSIGN

static final int JJTDIRECTIVEASSIGN

See Also:
  - Constant Field Values

### JJTDIRECTIVE

static final int JJTDIRECTIVE

See Also:
  - Constant Field Values

### JJTBLOCK

static final int JJTBLOCK

See Also:
  - Constant Field Values

### JJTMAP

static final int JJTMAP

See Also:
  - Constant Field Values

### JJTOBJECTARRAY

static final int JJTOBJECTARRAY

See Also:
  - Constant Field Values

### JJTINTEGERRANGE

static final int JJTINTEGERRANGE

See Also:
  - Constant Field Values

### JJTMETHOD

static final int JJTMETHOD

See Also:
  - Constant Field Values

### JJTINDEX

static final int JJTINDEX

See Also:
  - Constant Field Values

### JJTREFERENCE

static final int JJTREFERENCE

See Also:
  - Constant Field Values

### JJTTRUE

static final int JJTTRUE

See Also:
  - Constant Field Values

### JJTFALSE

static final int JJTFALSE

See Also:
  - Constant Field Values

### JJTIFSTATEMENT

static final int JJTIFSTATEMENT

See Also:
  - Constant Field Values

### JJTELSESTATEMENT

static final int JJTELSESTATEMENT

See Also:
  - Constant Field Values

### JJTELSEIFSTATEMENT

static final int JJTELSEIFSTATEMENT

See Also:
  - Constant Field Values

### JJTSETDIRECTIVE

static final int JJTSETDIRECTIVE

See Also:
  - Constant Field Values

### JJTEXPRESSION

static final int JJTEXPRESSION

See Also:
  - Constant Field Values

### JJTASSIGNMENT

static final int JJTASSIGNMENT

See Also:
  - Constant Field Values

### JJTORNODE

static final int JJTORNODE

See Also:
  - Constant Field Values

### JJTANDNODE

static final int JJTANDNODE

See Also:
  - Constant Field Values

### JJTEQNODE

static final int JJTEQNODE

See Also:
  - Constant Field Values

### JJTNENODE

static final int JJTNENODE

See Also:
  - Constant Field Values

### JJTLTNODE

static final int JJTLTNODE

See Also:
  - Constant Field Values

### JJTGTNODE

static final int JJTGTNODE

See Also:
  - Constant Field Values

### JJTLENODE

static final int JJTLENODE

See Also:
  - Constant Field Values

### JJTGENODE

static final int JJTGENODE

See Also:
  - Constant Field Values

### JJTADDNODE

static final int JJTADDNODE

See Also:
  - Constant Field Values

### JJTSUBTRACTNODE

static final int JJTSUBTRACTNODE

See Also:
  - Constant Field Values

### JJTMULNODE

static final int JJTMULNODE

See Also:
  - Constant Field Values

### JJTDIVNODE

static final int JJTDIVNODE

See Also:
  - Constant Field Values

### JJTMODNODE

static final int JJTMODNODE

See Also:
  - Constant Field Values

### JJTNOTNODE

static final int JJTNOTNODE

See Also:
  - Constant Field Values

### JJTNEGATENODE

static final int JJTNEGATENODE

See Also:
  - Constant Field Values

### jjtNodeName

static final String[] jjtNodeName